<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\PermissionModel;

class PermissionModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(PermissionModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(PermissionModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(PermissionModel::class);
    }
}
